Subject: You are my good, my handsome - write me, I'm waiting!

From: Sasha <[email-masked]>
Date: Wed, 27 Jan 2010 14:55:36 -0800 (PST)

Greetings - send me your photos where you are naked - I was so excited,
my you look at my site in your profile - added new pictures today!
Click here